import { useState } from 'react';

interface IToggleProps {
  callback: () => void;
}

const Toggle = (props: IToggleProps) => {
  const [isToggled, setToggle] = useState(false);

  const { callback } = props;

  return <div className="toggle">
    <input type="checkbox" className="toggle-switch" id="toggle-switch" checked={isToggled} />
    <label htmlFor="toggle-switch" className="toggle-label" onClick={() => {
      setToggle(!isToggled);
      try {
        callback();
      } catch (e) {
        setToggle(isToggled);
        throw e;
      }
    }}></label>
  </div>;
}

export default Toggle;